<template>
  <a
    :href="url"
    class="font-mono text-nowrap text-sm hover:no-underline"
    target="_blank"
    v-text="url"
  />
</template>

<style scoped lang="scss">
a {
  color: var(--p-surface-500); // Очень нейтральный цвет для менее акцентной ссылки
  text-decoration: none;

  &:hover {
    color: var(--p-surface-700); // Немного более насыщенный цвет при наведении
    text-decoration: none;
  }
}
</style>

<script setup lang="ts">
defineProps<{ url: string }>()
</script>
